applyMagneticDeclination {oce} | R Documentation

## Earth magnetic declination

### Description

Instruments that use magnetic compasses to determine current direction need to have corrections applied for magnetic declination, to get currents with the y component oriented to geographic, not magnetic, north. Sometimes, and for some instruments, the declination is specified when the instrument is set up, so that the velocities as recorded are already. Other times, the data need to be adjusted. This function is for the latter case.

### Usage

    applyMagneticDeclination(x, declination = 0, debug = getOption("oceDebug"))

### Arguments

`x` | an oce object.
`declination` | magnetic declination (to be added to the heading)
`debug` | a debugging flag, set to a positive value to get debugging.

### Value

Object, with velocity components adjusted to be aligned with geographic north and east.

### Author(s)

Dan Kelley

### References

https://www.ngdc.noaa.gov/IAGA/vmod/igrf.html

### See Also

Use `magneticField` to determine the declination, inclination and intensity at a given spot on the world, at a given time.

Other things related to magnetism: `magneticField`

[Package oce version 0.9-22 Index]